---
title: 'The Race For Intelligence'
sidebar_position: 4
---


![](img/ai_agents_centralized.png)

**Within the next two years, we will no longer be using all those hundreds of apps, but we will be talking to AI driven agents.**

## **The Role of AI in Our Lives**

- Right now, humans interact with the internet mainly through apps on their phones, computers, and other devices.
- In the near future (within 2 years), apps will fade into the background, and **AI-driven agents** will become the primary way we interact with technology. For example, instead of using multiple apps for messaging, shopping, or searching, you might simply ask an AI assistant to handle all those tasks through conversation.
- These AI agents will be accessed using modern devices like phones, glasses, or even futuristic interfaces like brain implants (e.g., Neuralink).




## **The Race for Intelligence**

![](img/race_intelligence.png)


The world is in a rapid phase of technological advancement, driven by innovations in AI, quantum computing, and biotechnology.

### **Key Milestones in Internet History**

- **1960s:** The internet started as a free and open platform, allowing people to share ideas, collaborate, and connect directly.
- **2000–2024:** The internet has become increasingly controlled by large corporations. These companies dominate through data collection and commercial interests, compromising the internet’s original vision of freedom and openness.
- **2025 and Beyond:** Large corporations are now racing to develop **Artificial General Intelligence (AGI)**—AI systems that can think and reason like humans. This raises concerns about centralization, control, and ethical use.

## **A Vision for the Future**

Instead of leaving the future of AI in the hands of a few powerful corporations, there is a push to create **Augmented Collective Intelligence.**

- This concept envisions AI as a tool that empowers everyone, enabling collaboration and shared decision-making rather than monopolizing power.
- The goal is to restore the internet’s original ideals of openness, privacy, and community-driven innovation.

