---
title: Deterministic Deploy
sidebar_position: 5
hide_title: true
---

# Deterministic Deployment


![](img/deterministic.png)




The concept of Zero-Deploy is a key component of the **Smart Contract for IT** framework, which can be applied to any type of workload—whether it's containers, virtual machines (VMs), network gateways, volumes, Kubernetes resources, or other network elements. This framework serves as a formal agreement between a farmer (provider) and a user regarding the deployment of an IT workload.

### Process

1. **Build Your Code**  
2. 
   Develop and prepare your application (AI agents, web 2, web 3) code.

3. **Convert to Zero-Image**  

   Use a CI/CD solution to convert your Docker build (or other format) into a Zero-Image format. The 3Bot will do this on behalf of the user in the future.

4. **Define the Workload**  

   Specify all the details of your workload, including network bridges, web gateways, required machines, and more.

5. **Register and Sign**  

   Register the workload and sign it with your private key.

6. **Automatic Detection**  
   All necessary Zero-OS nodes (our infrastructure) will detect that a new workload needs to be deployed.

7. **Deployment Process**  
   The nodes will pull down the formal workload descriptions and initiate the deployment process.

8. **Validation**  
   Every step of the deployment is verified by Zero-OS (ZOS) to ensure that the intended result is accurately replicated. If any discrepancies are detected, ZOS will halt the deployment and provide an error message.

### Benefits

- **Deterministic Deployment**: There is no dynamic behavior during deployment at runtime, ensuring a consistent and predictable outcome.
- **Strict Compliance**: No process can start unless all files and configurations are fully described at the flist level.



