---
title: Zero-Install
sidebar_position: 4
---

![](../../img/boot.png)  

The Zero-OS is delivered to the 3Nodes over the internet network (network boot) and does not need to be installed.


### 3Node Install

1. Deploy a computer.
2. Configure a farm on the TFGrid explorer.
3. Download the bootloader and put on a USB stick or configure a network boot device.
4. Power on the computer and connect to the internet.
5. Boot! The computer will automatically download the components of the operating system (Zero-OS).

The actual bootloader is very small, it brings up the network interface of your computer and queries TFGrid for the remainder of the boot files needed.

The operating system is not installed on any local storage medium (hard disk, ssd), Zero-OS is stateless.

The mechanism to allow this to work in a safe and efficient manner is an innovation called our container virtual filesystem. 

### Process

- Optionally: Configure booting from secure BIOS.
- Optionally: Install signing certificate in the BIOS, to make sure that only the right bootloader can be started.
- The bootloader (ISO, PXE, USB, etc.) gets downloaded from the internet (TFGrid CDN or private deployment).
- Core-0 (the first boot process) starts and self verification happens.
- The metadata for the the required software modules is downloaded and checked against signature and hashes .
- The core-0 zero image service starts.
