---
title: 'ZOS - Geo Aware OS'
sidebar_position: 1
description: The computer layer
hide_title: true
---


![](img/zos_intro.png)

# ZOS - Geo Aware OS

ThreeFold has developed its own operating system, Zero-OS, which is based on the Linux Kernel. The purpose of Zero-OS is to strip away the unnecessary complexities commonly found in contemporary operating systems.


## Imagine An Operating System With The Following Benefits

- Up to 10x more efficient for certain workloads (e.g. storage)
- No install required
- All files are deduped for the VM's, containers and the ZOS itself, no more data duplicated filesystems
- The hacking footprint is very small which leads to much safer systems
    - Every file is fingerprinted and gets checked at launch time of an application
    - There is no shell or server interface on the operating system
    - The networks are end2end encrypted between all Nodes
- It is possible to completely disconnect the compute/storage from the network service part which means hackers have a lot less chance to access the data
- A smart contract for the IT layer allows groups of people to deploy IT workloads with consensus and full control
- All workloads which can run on linux can run on Zero-OS but in a much more controlled, private and safe way

> We have created an operating system from scratch. We used the Linux kernel and its components and then built further on it. We have been able to achieve all of the above benefits.

## Requirements

- **Autonomy**: TF Grid needs to create compute, storage and networking capacity everywhere. We could not rely on a remote (or a local) maintenance of the operating system by owners or operating system administrators.
- **Simplicity**: An operating system should be simple, able to exist anywhere for anyone, and be good for the planet.
- **Stateless**: In a grid (peer-to-peer) set up, the sum of the components provides a stable basis for single elements to fail and not bring the whole system down. Therefore, it is necessary for single elements to be stateless, and the state needs to be stored within the grid.



## Key Features of Zero-OS

Zero-OS is designed with minimalism in mind, supporting only a few fundamental primitives that handle essential low-level functions:

1. **Storage Capacity**
2. **Compute Capacity**
3. **Network Capacity**

Default features:

- Compatible with Docker
- Compatible with any VM (Virtual Machine)
- Compatible with any Linux workload
- Integrated unique storage & network primitives
- Integrated smart contract for IT layer

## Benefits

- No need to work with images, we work with our unique ZOS filesystem
- Every container runs in a dedicated virtual machine providing more security
- The containers talk to each other over a private network (Mycelium)
- The containers can use a web gateway to allow internet users to connect to the applications which are running in their secure containers 
- Can use core-x to manage the workload

**Security and Simplicity:**

Zero-OS provides a Autonomous Decentralized Cloud. 

This not only blocks hacker access but also eliminates human error, enhancing both security and reliability.
