---
sidebar_position: 18
title: NFT Storage
---

# Unbreakable Storage System for NFT

Our technology enables Unbreakable storage for NFT.

The owner of the NFT can upload the data using one of our supported interfaces:

- Http upload (everything possible on https://nft.storage/ is also possible on our system)
- Filesystem

Anyone in the world can retrieve the NFT (if allowed) and the data will be verified when doing so. The data is available anywhere in the world using multiple interfaces again (IPFS, HTTP(S) etc.). Caching happens on a global level. No special software or account on ThreeFold is needed to do this.

The NFT system operates on top of a very reliable storage system which is sustainable for the planet and ultra secure and private. The NFT owner also owns the data.


## The Benefits

### Persistence = Owned by the data user, as represented by their associated 3Bot


The system is not based on a shared-all architecture.

Whoever stores the data has full control over:

- Where data is stored (specific locations)
- The redundancy policy which is used
- How long the data is kept
- CDN policy (where the data is available and for how long)


### Reliability

- Data cannot be corrupted
- Data cannot be lost
- Each time data is fetched back the hash (fingerprint) is checked. If there are any issues then autorecovery occurs
- All data is encrypted and compressed (unique per storage owner)
- Data owner chooses the level of redundancy

### Lookup

- Multi URL & storage network support (see more in the interfaces section)
- IPFS, HyperDrive URL schema
- Unique DNS schema (with long key which is globally unique)

### CDN Support

Each file (movie, image etc.) stored is available in many locations worldwide.

Each file gets a unique url pointing to the data which can be retrieved from all these locations.

Caching happens at each endpoint.

### Self Healing & Auto Correcting Storage Interface

Any corruption e.g. bitrot gets automatically detected and corrected.

In case of a HD crash or storage node crash the data will automatically be expanded again to fit the chosen redundancy policy.

### The Storage Algoritm Uses Unbreakable Storage System As Its Base

Not even a quantum computer can hack data stored on our QSSS.

The QSSS is a super innovative storage system which works on planetary scale and has many benefits compared to shared and/or replicated storage systems.

It uses forward looking error correcting codes inside.

### Green

Storage uses upto 10x less energy compared to classic replicated system.

### Multi Interface

The stored data is available over multiple interfaces at once.

- Interfaces
  - IPFS
  - HTTP(S) on top of 3Bot
  - Syncthing
  - Filesystem

This allows ultimate flexibility from the end user perspective.

The object (video, image etc.) can easily be embedded in any website or other representation which supports http.


